Subject: bug#39823: 26.3; update-directory-autoloads regression from Emacs 26 to Emacs 27

From: Noam Postavsky <[email-masked]>
Date: Tue, 17 Mar 2020 07:48:47 -0400

Maxim Cournoyer <[email-masked]> writes:

> I have nothing against lexcal scoping (all to the contrary), and
> always found it strange that I had to dynamically bound values
> variable calling `update-directory-autoloads'.  Perhaps a simple fix
> would be to allow passing the values it needs as arguments (while
> maintaining backward compatibility, i.e., make those arguments
> optional?).

Hmm, I guess we could add a &key style arg (I don't think plain
&optional would be possible in a backward compatible way because the
current arg list is &rest DIRS; there wouldn't be any way to distinguish
the optional directory argument).